<?php
namespace Bushelpowered\Api\Payments\V1\Request;
        
class GetPaymentsListRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Payments\V1\Model\PaymentsFilter $filter */
    public ?\Bushelpowered\Api\Payments\V1\Model\PaymentsFilter $filter = null;
    /** @var null|\Bushelpowered\Api\Common\PaginationBase $pagination */
    public ?\Bushelpowered\Api\Common\PaginationBase $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Payments\V1\Model\PaymentsFilter  $filter 
     * @param  null|\Bushelpowered\Api\Common\PaginationBase  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Payments\V1\Model\PaymentsFilter $filter, ?\Bushelpowered\Api\Common\PaginationBase $pagination)
    {
        $this->filter = $filter;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Common\PaginationBase 
     */
    public function getPagination(): ?\Bushelpowered\Api\Common\PaginationBase
    {
        return $this->pagination;
    }
}